> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a market maker



## OpenAPI

````yaml /openapi.json get /exchange/market-makers/{id}
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/market-makers/{id}:
    get:
      tags:
        - exchange
      summary: Retrieve a market maker
      operationId: Exchange.Web.MarketMakerController.get
      parameters:
        - description: Id
          example: b207fc34-25d7-439b-802d-158aff4b4bb5
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketMakerResponse'
          description: Market maker
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    MarketMakerResponse:
      description: Response schema for a single market maker
      properties:
        data:
          $ref: '#/components/schemas/MarketMaker'
      title: MarketMakerResponse
      type: object
    MarketMaker:
      example:
        archived: false
        contacts:
          - email: test@user.com
            id: 7da8e726-a1bc-11ee-80cf-560f156a658b
            name: Test User
            type: user
        email: anon@nymous.com
        entity:
          id: 6ebe0a0f-bb8f-49be-80ea-c6b72c348fea
          type: business
        id: 7da75a46-a1bc-11ee-9a32-560f156a658b
        name: Anon Nymous
        swap_provider: false
        swap_weight: 0
      properties:
        archived:
          description: Archived?
          type: boolean
        contacts:
          items:
            $ref: '#/components/schemas/Contact'
          type: array
        email:
          description: Email
          type: string
        entity:
          properties:
            id:
              description: Account id
              type: string
            type:
              description: Account type
              enum:
                - business
                - personal
              type: string
          type: object
        id:
          description: Id
          type: string
        name:
          description: Name
          type: string
        swap_provider:
          description: Is swap provider?
          type: boolean
        swap_weight:
          description: Swap weight
          type: integer
      title: MarketMaker
      type: object
    Contact:
      example:
        email: test@user.com
        id: 7da8e726-a1bc-11ee-80cf-560f156a658b
        name: Test User
        type: user
      properties:
        email:
          description: Email
          type: string
        id:
          description: Id
          type: string
        name:
          description: Name
          type: string
        type:
          enum:
            - business
            - user
          type: string
      title: Contact
      type: object
  responses:
    forbidden:
      description: Forbidden
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````